<!DOCTYPE html>
<html lang="en">
  <head>
    <title></title>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <link href="style.css" rel="stylesheet" />
    <link rel="shortcut icon" href="data:image/x-icon;," type="image/x-icon" />

    <script type="module" src="script.js"></script>
  </head>
  <body>
    <header>
      <h1>Hi, we are excited to meet you!</h1>
      <small>To sail with Sea-Watch, please fill out the following form</small>
    </header>
    <form is="form-wizard">
      <nav>
        <ol>
          <li class="form-wizard_current" form-wizard_goto="personal-data">
            Personal Data
          </li>
          <li form-wizard_goto="qualifications">
            Qualifications and certificate upload
          </li>
          <li form-wizard_goto="motivation">Letter of motivation</li>
        </ol>
      </nav>

      <div class="form-wizard_current" form-wizard_page="personal-data">
        <fieldset>
          <legend>Personal information</legend>
          <div class="field">
            <label for="first_name">First name *</label>
            <input required id="first_name" name="first_name" />
          </div>
          <div class="field">
            <label for="last_name">Last name *</label>
            <input required id="last_name" name="last_name" />
          </div>
          <div class="field">
            <label for="phone_number">Phone number *</label>
            <input required id="phone_number" name="phone_number" />
          </div>
          <div class="field">
            <label for="email">Email address *</label>
            <input required id="email" name="email" />
          </div>
        </fieldset>
        <button>Next step</button>
      </div>

      <div form-wizard_page="qualifications">
        <fieldset>
          <legend>Which general (nautical) certificates do you have?</legend>
          <label for="certificates">Select certificates</label>
          <select id="certificates" name="certificates">
            <option>Dancing</option>
            <option>Running</option>
            <option>Strolling</option>
          </select>
        </fieldset>
        <button>Next step</button>
      </div>

      <div form-wizard_page="motivation">
        <fieldset>
          <legend>Tell us about yourself</legend>
          <label for="motivation"
            >Why do you want to work with Sea-Watch?</label
          >
          <textarea id="motivation" name="motivation"></textarea>
        </fieldset>
        <button>Send application</button>
      </div>
    </form>
    <h3>Todos</h3>
    <ul>
      <li>
        button font is helvetica in figma, I used inter here which is also used
        for the upload buttons
      </li>
      <li>Button hover/active style is still tbd afaict</li>
      <li>
        Is the max width/resize behaviour okay? I assume it needs some tweaks
      </li>
      <li>
        How do we want to do validation with the nav buttons?
        <ul>
          <li>
            What if the current page (that we are moving away from) is invalid?
          </li>
          <li>
            What if we're skipping a page, e.g. going from 1 to 3, assuming 2
            would then be invalid?
          </li>
          <li>Is it an invariant that all earlier pages are always valid?</li>
          <li>
            If we forbid navigation e.g. from 1 to 3, does the styling need to
            reflect this?
          </li>
          <li>
            Or should we style the buttons to indicate validation errors in
            earlier pages?
          </li>
          <li>
            (We have a lot of freedom how to implement this, the challenge here
            is finding good behaviour)
          </li>
        </ul>
      </li>
      <li>
        Can a previous page become invalid after something on a later page has
        been changed? How would we deal with that?
      </li>
    </ul>
  </body>
</html>
